      subroutine setprob
      implicit double precision (a-h,o-z)
      common /comsrc/ eps
c
c     # Set the viscosity coefficient for the viscous source term
c     # eps is passed to src1.f in comsrc and also used in qinit.
c
      open(unit=7,file='setprob.data',status='old',form='formatted')

      read(7,*) eps

      return
      end
